Subject: Re: bug#74879: 30.0.92; trusted-content-p and trusted-files cannot be used for non-file buffers

From: Ihor Radchenko <[email-masked]>
Date: Sun, 20 Apr 2025 17:37:33 +0000

Stefan Kangas <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>>>>> org-latex-preview in org.el still checks for untrusted-content
>>>>> directly though, I wonder if it'd make sense for it to check for
>>>>> trusted-content-p instead.
>>>>
>>>> I can't remember the details of the `org-latex-preview` situation, so
>>>> I'll say tentatively "probably".
>>>
>>> Ihor, WDYT?
> ...
> AFAIU, the API on emacs-30 is now final for Emacs 30, and can be relied
> on for that release.  It's just waiting to be merged to master.

It is on master now, so I adopted `trusted-content-p' for the next Org
bugfix release.
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=7fac67e2e0

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>